Bug 831825 - grub2-probe crashes on F17 for Power GA-RC4
grub2-probe crashes on F17 for Power GA-RC4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
17
powerpc Linux
urgent Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 16:35 EDT by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 11:40:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Core from above crash (3.25 MB, application/octet-stream)
2012-06-13 16:36 EDT, David Aquilina
no flags Details

  None (edit)
Description David Aquilina 2012-06-13 16:35:36 EDT
Description of problem:

Attempting to run grub2-install from grub2 2.0-0.36.beta6.fc17.ppc64 results in the following crash: 

[root@dhcp-190-129 ~]# grub2-install
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos1' is invalid. Ignoring it. Please correct or delete your device.map.
/usr/sbin/grub2-probe: warning: the device.map entry `hd1,msdos2' is invalid. Ignoring it. Please correct or delete your device.map.
*** glibc detected *** /usr/sbin/grub2-probe: double free or corruption (fasttop): 0x000000002c3d4920 ***
======= Backtrace: =========
/lib64/libc.so.6(+0xb5894)[0xfffa9685894]
/usr/sbin/grub2-probe[0x10004be4]
/usr/sbin/grub2-probe[0x10005a94]
/lib64/libc.so.6(+0x4f5f4)[0xfffa961f5f4]
/lib64/libc.so.6(__libc_start_main-0x181dd0)[0xfffa961f7f0]
======= Memory map: ========
10000000-10160000 r-xp 00000000 08:05 2620686                            /usr/sbin/grub2-probe
10160000-10170000 r--p 00150000 08:05 2620686                            /usr/sbin/grub2-probe
10170000-10180000 rw-p 00160000 08:05 2620686                            /usr/sbin/grub2-probe
10180000-10190000 rw-p 00000000 00:00 0 
2c3d0000-2c490000 rw-p 00000000 00:00 0                                  [heap]
fffa2c70000-fffa2c80000 rw-p 00000000 00:00 0 
fffa2c80000-fffa9430000 r--p 00000000 08:05 2617014                      /usr/lib/locale/locale-archive
fffa9430000-fffa9450000 r-xp 00000000 08:05 2616985                      /usr/lib64/libpthread-2.15.so
fffa9450000-fffa9460000 r--p 00010000 08:05 2616985                      /usr/lib64/libpthread-2.15.so
fffa9460000-fffa9470000 rw-p 00020000 08:05 2616985                      /usr/lib64/libpthread-2.15.so
fffa9470000-fffa9480000 r-xp 00000000 08:05 2616965                      /usr/lib64/libdl-2.15.so
fffa9480000-fffa9490000 r--p 00000000 08:05 2616965                      /usr/lib64/libdl-2.15.so
fffa9490000-fffa94a0000 rw-p 00010000 08:05 2616965                      /usr/lib64/libdl-2.15.so
fffa94a0000-fffa94b0000 r-xp 00000000 08:05 2616989                      /usr/lib64/librt-2.15.so
fffa94b0000-fffa94c0000 r--p 00000000 08:05 2616989                      /usr/lib64/librt-2.15.so
fffa94c0000-fffa94d0000 rw-p 00010000 08:05 2616989                      /usr/lib64/librt-2.15.so
fffa94d0000-fffa94f0000 r-xp 00000000 08:05 2619995                      /usr/lib64/libudev.so.0.13.1
fffa94f0000-fffa9500000 r--p 00010000 08:05 2619995                      /usr/lib64/libudev.so.0.13.1
fffa9500000-fffa9510000 rw-p 00020000 08:05 2619995                      /usr/lib64/libudev.so.0.13.1
fffa9510000-fffa9570000 r-xp 00000000 08:05 2617109                      /usr/lib64/libsepol.so.1
fffa9570000-fffa9580000 rw-p 00050000 08:05 2617109                      /usr/lib64/libsepol.so.1
fffa9580000-fffa95b0000 r-xp 00000000 08:05 2617110                      /usr/lib64/libselinux.so.1
fffa95b0000-fffa95c0000 r--p 00020000 08:05 2617110                      /usr/lib64/libselinux.so.1
fffa95c0000-fffa95d0000 rw-p 00030000 08:05 2617110                      /usr/lib64/libselinux.so.1
fffa95d0000-fffa9790000 r-xp 00000000 08:05 2616959                      /usr/lib64/libc-2.15.so
fffa9790000-fffa97a0000 r--p 001b0000 08:05 2616959                      /usr/lib64/libc-2.15.so
fffa97a0000-fffa97c0000 rw-p 001c0000 08:05 2616959                      /usr/lib64/libc-2.15.so
fffa97c0000-fffa9810000 r-xp 00000000 08:05 2619928                      /usr/lib64/libdevmapper.so.1.02
fffa9810000-fffa9820000 rw-p 00050000 08:05 2619928                      /usr/lib64/libdevmapper.so.1.02
fffa9820000-fffa9830000 rw-p 00000000 00:00 0 
fffa9830000-fffa9850000 r-xp 00000000 00:00 0                            [vdso]
fffa9850000-fffa9880000 r-xp 00000000 08:05 2616952                      /usr/lib64/ld-2.15.so
fffa9880000-fffa9890000 r--p 00020000 08:05 2616952                      /usr/lib64/ld-2.15.so
fffa9890000-fffa98a0000 rw-p 00030000 08:05 2616952                      /usr/lib64/ld-2.15.so
fffc44d0000-fffc4510000 rw-p 00000000 00:00 0                            [stack]
xargs: /usr/sbin/grub2-probe: terminated by signal 6
Installation finished. No error reported.

This seems to *only* affect the YDL PowerStation, grub2-2.0-0.36.beta6 works just fine on IBM systems e.g. the power720.
Comment 1 David Aquilina 2012-06-13 16:36:25 EDT
Created attachment 591623 [details]
Core from above crash
Comment 2 Paulo Flabiano Smorigo 2012-06-13 16:44:59 EDT
Please, post "bash -x grub-install" output.
Comment 3 Vladimir Serbinenko 2012-06-13 17:06:07 EDT
=== modified file 'ChangeLog'
--- ChangeLog	2012-06-05 10:03:36 +0000
+++ ChangeLog	2012-06-05 15:16:14 +0000
@@ -1,5 +1,9 @@
 2012-06-05  Vladimir Serbinenko  <phcoder@gmail.com>
 
+	* util/grub-probe.c (escape_of_path): Fix double free.
+
+2012-06-05  Vladimir Serbinenko  <phcoder@gmail.com>
+
 	* grub-core/commands/videoinfo.c (hook): Show pitch.
 
 2012-06-05  Vladimir Serbinenko  <phcoder@gmail.com>

=== modified file 'util/grub-probe.c'
--- util/grub-probe.c	2012-06-05 09:31:10 +0000
+++ util/grub-probe.c	2012-06-05 15:16:14 +0000
@@ -169,8 +169,6 @@
     }
   *d = 0;
 
-  free ((char *) orig_path);
-
   return new_path;
 }

Note You need to log in before you can comment on or make changes to this bug.